
<template>
<div>
  <h1>Nueva contraseña</h1>
  <div v-if="isValidSession">
    <label>Nueva contraseña</label>
    <input placeholder="Introduzca su nueva contraseña" v-model="password">   
    <button v-on:click="submit">Aceptar</button>
  </div>
  <div v-else>
    <label>Para realizar esta acción es necesario inicar sessión</label>
    <button v-on:click="goToLogin">Login</button>
  </div>
</div>
</template>

<script>
/**
 * @copyright       T-Systems México S.A. de C.V
 * @description     Home
 * @author          Roberto Pérez Guzmán
 * @creationDate    30 de septiembre del 2020
 */

let self = null;

import { mapGetters } from 'vuex'

export default {
  created() {
    self = this;
    console.log(self.user)
    let user = self.user ?? {} 
    let username = user.username 
    self.username = username
    self.isValidSession = username != null
    
  },
 data() {
    
    
    return {
      password:'Octubre2020.',
      isValidSession: false,
      username: null
    }
  },
  computed: {
    ...mapGetters( { user: ["auth/user"] }),
    // isValidSession: ()=> {
    //   return self.user && self.user.username
    // }
  },
  methods: {
    goToLogin: () => {
      self.$router.replace("/signin")
    },
    submit: () => {
      let { user, password, $router } = self
      if( user ) {
        self.$store.dispatch('auth/setPassword', { user, password, $router })
      }
      else{
        self.$router.replace("/signin")  
      }
    }
  }  
  
};
</script>
